## xrview 1.0

=== xrview/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(xrview VERSION 1.0 LANGUAGES CXX)

option(WITH_AUTO_DOWNLOAD "Makes the Application automatically download Saxon-HE and xslt-styleshets if none are configured." ON)

find_package(Qt6 REQUIRED COMPONENTS Widgets WebEngineWidgets Xml LinguistTools)

if(WITH_AUTO_DOWNLOAD)
	find_package(KF6Archive ${KF_VERSION})
	add_definitions(-DWITH_AUTO_DOWNLOAD)
endif()

qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES en de)

# Be sure to show deprecation messages and disable deprecated Qt5 code in Qt-headers
add_definitions(-DQT_DEPRECATED_WARNINGS_SINCE=0x70000 -DQT_DISABLE_DEPRECATED_BEFORE=0x50f02)

set(PROJECT_SOURCES
        src/main.cpp
        src/xrcontrol.cpp
        src/xrechnung.cpp
        src/xrwidget.cpp
        src/xrvsetup.cpp
        src/mainwindow.cpp
        src/mainwindow.ui
)

# For future use, needs to be added to project sources
set(RESOURCES
    resources/xrview.qrc
)

qt_add_executable(xrview
    ${PROJECT_SOURCES}
)

target_link_libraries(xrview PRIVATE Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::WebEngineWidgets
    Qt${QT_VERSION_MAJOR}::Xml
)

if(WITH_AUTO_DOWNLOAD)
	if( ${KF6Archive_FOUND})
	    target_link_libraries(xrview PRIVATE KF6::Archive)
	endif()
endif()

set(XRVIEW_TS_FILES resources/xrview_de.ts resources/xrview_en.ts)
set_source_files_properties(${XRVIEW_TS_FILES} PROPERTIES OUTPUT_LOCATION ${CMAKE_CURRENT_BINARY_DIR}/resources)
qt_add_translations(xrview TS_FILES ${XRVIEW_TS_FILES})

install(TARGETS xrview DESTINATION bin
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)


set (XDG_APPS_INSTALL_DIR "share/applications" CACHE STRING "The XDG apps dir")

install(FILES  resources/xrview.appdata.xml DESTINATION share/metainfo RENAME de.volle-kraft-voraus.xrview.appdata.xml)

install(FILES resources/xrview.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} RENAME de.volle-kraft-voraus.xrview.desktop)
# ecm_install_icons( ICONS resources/64-apps-xrview.png DESTINATION share/icons)

## xrview 1.0-1

=== debian/changelog ===
xrview (1.0-1-2) unstable; urgency=medium

  * Add copyright file
  * Add documentation
  * Update dependencies

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Mon, 10 Jun 2024 19:21:10 +0200

xrview (1.0-1-1) unstable; urgency=medium

  * Initial release

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Mon, 10 Jun 2024 16:37:44 +0200

=== debian/control ===
Source: xrview
Section: x11
Priority: extra
Maintainer: Sebastian Mogl <sebastian.mogl@treuchtlingen.de>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://codeberg.org/stadt_treuchtlingen/package.xrview
Vcs-Git: https://codeberg.org/stadt_treuchtlingen/package.xrview.git

Package: xrview
Architecture: any
Depends: ${misc:Depends}, libsaxonhe-java, xrechnung-visualization,
 libqt6webenginewidgets6, libqt6xml6
Build-Depends: cmake, qt6-base-dev, qt6-tools-dev, qt6-webengine-dev
Description: QT viewer for XRechnung and EN16931 compliant XML-Invoices

## xrview 1.0-3

=== debian/changelog ===
xrview (1.0-3-1) unstable; urgency=medium

  * New upstream version 1.0-3
  * Actually include PDF export (previous release was broken)

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Fri, 29 Nov 2024 13:13:11 +0100

xrview (1.0-2-2) unstable; urgency=medium

  * Added required configuration for PDF export to default config file
  * Added icons for xrview and XRechnung files
  * Added a .desktop file for xrview
  * Added Freedesktop MIME-Packge for recognizing EN16931 Invoices
  * Added png icons as recommended in the Icon Theme Specification

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Fri, 29 Nov 2024 11:39:07 +0100

xrview (1.0-2-1) unstable; urgency=medium

  * Fix: Move temporary files to where they belong.
  * Allow exporting as PDF
  * Translation improvements
  * New upstream version 1.0-2

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Thu, 28 Nov 2024 12:52:29 +0100

xrview (1.0-1-4) unstable; urgency=medium

  * Version bump for repository unbreaking reasons

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Tue, 11 Jun 2024 17:24:26 +0200

xrview (1.0-1-3) unstable; urgency=medium

  * Fix build dependencies
  * Add a configuration file to tell xrview where to find the needed resources

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Tue, 11 Jun 2024 17:24:26 +0200

## xrview 1.0-6

=== debian/changelog ===
xrview (1.0-6-2) unstable; urgency=medium

  * Added missing dependency for PDF-export: fop

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Tue, 08 Apr 2025 15:33:34 +0200

xrview (1.0-6-1) unstable; urgency=medium

  * Restrict the range of where the magic urn should appear (within the first 65KB of the file)

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Wed, 05 Feb 2025 19:44:07 +0100

xrview (1.0-5-2) unstable; urgency=medium

  * Rebuild for older debian

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Thu, 05 Dec 2024 17:21:12 +0100

xrview (1.0-4-1) unstable; urgency=medium

  * New upstream version 1.0-4
  * Adds a Save as menu entry

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Fri, 29 Nov 2024 14:09:43 +0100

=== debian/control ===
Source: xrview
Section: x11
Priority: extra
Maintainer: Sebastian Mogl <sebastian.mogl@treuchtlingen.de>
Build-Depends: debhelper-compat (= 13),
 cmake, qt6-base-dev, qt6-tools-dev, qt6-webengine-dev
Standards-Version: 4.5.1
Vcs-Browser: https://codeberg.org/stadt_treuchtlingen/package.xrview
Vcs-Git: https://codeberg.org/stadt_treuchtlingen/package.xrview.git

Package: xrview
Architecture: any
Depends: ${misc:Depends}, libsaxonhe-java, xrechnung-visualization,
 libqt6webenginewidgets6, libqt6xml6, fop
Description: QT viewer for XRechnung and EN16931 compliant XML-Invoices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

build:
	sh -c 'mkdir -p build; cd build; cmake ../xrview/ -DWITH_AUTO_DOWNLOAD=OFF; make'

clean:
	sh -c '[ ! -d build ] || rm -r build'
	dh clean

#override_dh_install:
#	cp -a $(CURDIR)/something $(CURDIR)/debian/xrview/something

=== debian/watch ===
version=4
https://codeberg.org/stadt_treuchtlingen/openkmu-xrechnung/tags .*/v(\d[\d.]+-\d+).tar.gz

## xrview 1.0-8

=== debian/changelog ===
xrview (1.0-8-1) unstable; urgency=medium

  * New upstream version 1.0-8
  * Adds support for the Cross Industry Invoice (CII) format.
  * Configuration adjustment: saxon/xslCii (see release notes)

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Mon, 08 Dec 2025 14:15:00 +0100

xrview (1.0-7-1) unstable; urgency=medium

  * Rebuild for trixie
  * Added missing dependency for PDF-export: fop

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Thu, 11 Sep 2025 14:36:34 +0200

## xrview 1.1

=== xrview/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(xrview VERSION 1.0 LANGUAGES CXX)
+project(xrview VERSION 1.1 LANGUAGES CXX)
 
 option(WITH_AUTO_DOWNLOAD "Makes the Application automatically download Saxon-HE and xslt-styleshets if none are configured." ON)

## xrview 1.1-1

=== debian/changelog ===
xrview (1.1-1-2) trixie; urgency=medium

  * Use better cmake aware debian build rules
  * Patch desktop file to include experimantal application/en16931+xml mimetype
  * Update debian/control file

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Mon, 26 Jan 2026 17:39:50 +0100

xrview (1.1-1-1) trixie; urgency=medium

  * New upstream version 1.1-1

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Mon, 26 Jan 2026 15:28:33 +0100

=== debian/control ===
Source: xrview
Section: x11
Priority: optional
Maintainer: Sebastian Mogl <sebastian.mogl@treuchtlingen.de>
Build-Depends: debhelper-compat (= 13),
	build-essential,
	cmake,
	extra-cmake-modules,
	pkg-config,
	qt6-base-dev,
	qt6-tools-dev,
	qt6-webengine-dev
Standards-Version: 4.5.1
Vcs-Browser: https://codeberg.org/stadt_treuchtlingen/package.xrview
Vcs-Git: https://codeberg.org/stadt_treuchtlingen/package.xrview.git

Package: xrview
Architecture: any
Depends: ${misc:Depends},
	libsaxonhe-java,
	xrechnung-visualization,
	libqt6webenginewidgets6,
	libqt6xml6,
	fop
Description: QT viewer for XRechnung and EN16931 compliant XML-Invoices
	Visualizes XRechnung invoices using a webview and the xrechung-visualization from kosit.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --sourcedirectory=xrview

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DWITH_AUTO_DOWNLOAD=OFF

override_dh_auto_install:
	dh_auto_install --destdir=debian/xrview
